groovy.model

## Class FormModel

- java.lang.Object
- - groovy.model.FormModel

-     public class FormModel
      extends java.lang.Object

  Represents a number of field models which can be ValueModel, PropertyModel, TableModel, TreeModel or nested FormModel instances

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormModel()`
    `FormModel(java.util.Map fieldModels)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModel(java.lang.String name, java.lang.Object model)`
    `java.lang.Object` | `getModel(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormModel

          public FormModel()

    - #### FormModel

          public FormModel(java.util.Map fieldModels)

  - ### Method Detail

    - #### addModel

          public void addModel(java.lang.String name,
                      java.lang.Object model)

    - #### getModel

          public java.lang.Object getModel(java.lang.String name)